- Development Integration
- /
- SDK
- /
- Python
- /
Management Module
- /
Role Management
- /
- Assign Role
¶ Single role batch authorization
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
Assign roles through the role code in the permission group. The assignee can be a user or department.
¶ Method name
ManagementClient.assign_role
¶ Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| targets | TargetDto[] | Yes | - | Target object Array length limit: 50. | [{"targetIdentifier":"60b49eb83fd80adb96f26e68","targetType":"USER"}] |
| code | string | yes | - | Unique identifier of the role in the permission group | code1 |
| endTime | number | no | - | Subject expiration time in milliseconds, valid forever if null | 1669114748050 |
| enableTime | number | no | - | Subject join time in milliseconds, join immediately if null | 1669114748050 |
| namespace | string | no | - | Code of the permission group | 60b49eb83fd80adb96f26e68 |
¶ Request Response
Type: IsSuccessRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | IsSuccessDto | Whether the operation is successful |
Example results:
{
"statusCode": 200,
"message": "Success",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"success": true
}
}
¶ Data Structure
¶ TargetDto
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| targetType | string | Yes | Target object type: - USER: user- ROLE: role- GROUP: group- DEPARTMENT: department | USER |
| targetIdentifier | string | Yes | Target object unique identifier: - If it is a user, it is the user's ID, such as 6343b98b7cfxxx9366e9b7c- If it is a role, it is the role's code, such as admin- If it is a group, it is the group's code, such as developer- If it is a department, it is the department ID, such as 6343bafc019xxxx889206c4c | 60b49eb83fd80adb96f26e68 |
¶ IsSuccessDto
| Name | Type | Is it required | Description | Sample value |
|---|---|---|---|---|
| success | boolean | yes | Whether the operation is successful | true |
